GameScreenList = {}

-------loction 000_before
NewLocation(GameScreenList, "000_before", "scripts/locations/000_before/000_before");

-------loction 001_ward
NewLocation(GameScreenList, "001_ward", "scripts/locations/001_ward/001_ward");
NewZoomZone(GameScreenList, "001_ward_zoom_table", "scripts/locations/001_ward/001_ward_zoom_table");
NewComics(GameScreenList, "001_eve_dlg", "scripts/locations/001_ward/001_eve_dlg");

-------loction 002_hall
NewLocation(GameScreenList, "002_hall", "scripts/locations/002_hall/002_hall");
NewComics(GameScreenList, "002_eve_dlg", "scripts/locations/002_hall/002_eve_dlg");
NewComics(GameScreenList, "002_eve_dlg2", "scripts/locations/002_hall/002_eve_dlg2");

-------loction 002_elevator
NewLocation(GameScreenList, "002_elevator", "scripts/locations/002_elevator/002_elevator");

-------loction 002_shaft
NewLocation(GameScreenList, "002_shaft", "scripts/locations/002_shaft/002_shaft");

-------loction 003_chief
NewLocation(GameScreenList, "003_chief", "scripts/locations/003_chief/003_chief");

-------loction 004_secretroom
NewLocation(GameScreenList, "004_secretroom", "scripts/locations/004_secretroom/004_secretroom");
NewZoomZone(GameScreenList, "004_secretroom_zoom_safe", "scripts/locations/004_secretroom/004_secretroom_zoom_safe");

-------loction 005_security
NewLocation(GameScreenList, "005_security", "scripts/locations/005_security/005_security");
NewZoomZone(GameScreenList, "005_security_zoom_panel", "scripts/locations/005_security/005_security_zoom_panel");

-------loction 006_basement
NewLocation(GameScreenList, "006_basement", "scripts/locations/006_basement/006_basement");
NewZoomZone(GameScreenList, "006_basement_zoom1", "scripts/locations/006_basement/006_basement_zoom1");
NewComics(GameScreenList, "006_basement_dlg1", "scripts/locations/006_basement/006_basement_dlg1");

-------loction 006_prison
NewLocation(GameScreenList, "006_prison", "scripts/locations/006_prison/006_prison");

-------loction 007_basement
NewLocation(GameScreenList, "007_storeroom", "scripts/locations/007_storeroom/007_storeroom");

-------loction 008_portal
NewLocation(GameScreenList, "008_portal", "scripts/locations/008_portal/008_portal");
NewComics(GameScreenList, "008_portal_dlg", "scripts/locations/008_portal/008_portal_dlg");
NewComics(GameScreenList, "008_portal_dlg2", "scripts/locations/008_portal/008_portal_dlg2");

-------loction 009_generator
NewLocation(GameScreenList, "009_generator", "scripts/locations/009_generator/009_generator");

-------loction 010_museum
NewLocation(GameScreenList, "010_museum", "scripts/locations/010_museum/010_museum");

------loction 011_gate
NewLocation(GameScreenList, "011_gate", "scripts/locations/011_gate/011_gate");

------loction 012_fresco
NewLocation(GameScreenList, "012_fresco", "scripts/locations/012_fresco/012_fresco");

------loction 013_lasers
NewLocation(GameScreenList, "013_lasers", "scripts/locations/013_lasers/013_lasers");

------loction 014_upside
NewLocation(GameScreenList, "014_upside", "scripts/locations/014_upside/014_upside");

------loction 015_white
NewLocation(GameScreenList, "015_white", "scripts/locations/015_white/015_white");

------loction 015_sport
NewLocation(GameScreenList, "015_sport", "scripts/locations/015_sport/015_sport");

------loction 016_tunnel
NewLocation(GameScreenList, "016_tunnel", "scripts/locations/016_tunnel/016_tunnel");

------loction 017_city
NewLocation(GameScreenList, "017_city", "scripts/locations/017_city/017_city");

------loction 018_teenager
NewLocation(GameScreenList, "018_teenager", "scripts/locations/018_teenager/018_teenager");

------loction 019_attic
NewLocation(GameScreenList, "019_attic", "scripts/locations/019_attic/019_attic");
NewZoomZone(GameScreenList, "019_attic_zoom", "scripts/locations/019_attic/019_attic_zoom");

------loction 019_house
NewLocation(GameScreenList, "019_house", "scripts/locations/019_house/019_house");

------loction 020_wizard
NewLocation(GameScreenList, "020_wizard", "scripts/locations/020_wizard/020_wizard");
NewComics(GameScreenList, "020_wizard_dlg_1", "scripts/locations/020_wizard/020_wizard_dlg_1");
NewComics(GameScreenList, "020_wizard_dlg_2", "scripts/locations/020_wizard/020_wizard_dlg_2");
NewComics(GameScreenList, "020_wizard_dlg_3", "scripts/locations/020_wizard/020_wizard_dlg_3");

------loction 021_wood
NewLocation(GameScreenList, "021_wood", "scripts/locations/021_wood/021_wood");
NewComics(GameScreenList, "021_eve_villager_dlg", "scripts/locations/021_wood/021_eve_villager_dlg");

------loction 022_soup
NewLocation(GameScreenList, "022_soup", "scripts/locations/022_soup/022_soup");
NewComics(GameScreenList, "022_cook_dlg", "scripts/locations/022_soup/022_cook_dlg");

------loction 023_wine
NewLocation(GameScreenList, "023_wine", "scripts/locations/023_wine/023_wine");

------loction 024_fish
NewLocation(GameScreenList, "024_fish", "scripts/locations/024_fish/024_fish");

------loction 025_utility
NewLocation(GameScreenList, "025_utility", "scripts/locations/025_utility/025_utility");

------loction 026_dessert
NewLocation(GameScreenList, "026_dessert", "scripts/locations/026_dessert/026_dessert");
NewComics(GameScreenList, "026_prince_dlg", "scripts/locations/026_dessert/026_prince_dlg");

------loction 027_dressmaker
NewLocation(GameScreenList, "027_dressmaker", "scripts/locations/027_dressmaker/027_dressmaker");
NewComics(GameScreenList, "027_dressmaker_dlg", "scripts/locations/027_dressmaker/027_dressmaker_dlg");
NewZoomZone(GameScreenList, "027_dressmaker_zoom", "scripts/locations/027_dressmaker/027_dressmaker_zoom");

------loction 028_cloakroom
NewLocation(GameScreenList, "028_cloakroom", "scripts/locations/028_cloakroom/028_cloakroom");
NewZoomZone(GameScreenList, "028_cloakroom_zoom", "scripts/locations/028_cloakroom/028_cloakroom_zoom");

------loction 29_studio
NewLocation(GameScreenList, "029_studio", "scripts/locations/029_studio/029_studio");
NewComics(GameScreenList, "029_artist_dlg1", "scripts/locations/029_studio/029_artist_dlg1");
NewComics(GameScreenList, "029_artist_dlg2", "scripts/locations/029_studio/029_artist_dlg2");

------loction 30_orchard
NewLocation(GameScreenList, "030_orchard", "scripts/locations/030_orchard/030_orchard");
NewComics(GameScreenList, "030_gardener_dlg", "scripts/locations/030_orchard/030_gardener_dlg");

------loction 31_planets
NewLocation(GameScreenList, "031_planets", "scripts/locations/031_planets/031_planets");

------loction 32_fireflies
NewLocation(GameScreenList, "032_fireflies", "scripts/locations/032_fireflies/032_fireflies");

------loction 033_engine
NewLocation(GameScreenList, "033_engine", "scripts/locations/033_engine/033_engine");

------loction 034_finish
NewLocation(GameScreenList, "034_finish", "scripts/locations/034_finish/034_finish");


NewLocation(GameScreenList, "chapters_screen", "scripts/gui/chapters_screen");

NewLocation(GameScreenList, "company_logo", "scripts/locations/company_logo");
NewLocation(GameScreenList, "partner_logo", "scripts/locations/partner_logo");
-------intro
NewLocation(GameScreenList, "Intro_04", "scripts/locations/Intro_04/Intro_04");
NewComics(GameScreenList, "Intro_04_dlg", "scripts/locations/Intro_04/Intro_04_dlg");

-------intro
NewLocation(GameScreenList, "Intro_03", "scripts/locations/Intro_03/Intro_03");
NewComics(GameScreenList, "Intro_03_dlg", "scripts/locations/Intro_03/Intro_03_dlg");

-------intro
NewLocation(GameScreenList, "Intro_05", "scripts/locations/Intro_05/Intro_05");
NewComics(GameScreenList, "Intro_05_dlg", "scripts/locations/Intro_05/Intro_05_dlg");

-------intro
NewLocation(GameScreenList, "Intro_06", "scripts/locations/Intro_06/Intro_06");
NewComics(GameScreenList, "Intro_06_dlg", "scripts/locations/Intro_06/Intro_06_dlg");

-------intro
NewLocation(GameScreenList, "Intro_06a", "scripts/locations/Intro_06a/Intro_06a");
NewComics(GameScreenList, "Intro_06a_dlg", "scripts/locations/Intro_06a/Intro_06a_dlg");
--------------------------------------------------------------------------------------------------------
-------minigames
NewLocation(GameScreenList, "mg_001_patch", "scripts/minigames/mg_001_patch");
NewLocation(GameScreenList, "mg_002_stand", "scripts/minigames/mg_002_stand");
NewLocation(GameScreenList, "mg_003_books", "scripts/minigames/mg_003_books");
NewLocation(GameScreenList, "mg_005_switchboard", "scripts/minigames/mg_005_switchboard");
NewLocation(GameScreenList, "mg_005_voltage", "scripts/minigames/mg_005_voltage");
NewLocation(GameScreenList, "mg_006_bomb", "scripts/minigames/mg_006_bomb");
NewLocation(GameScreenList, "mg_008_microscope", "scripts/minigames/mg_008_microscope");
NewLocation(GameScreenList, "mg_008_password", "scripts/minigames/mg_008_password");
NewLocation(GameScreenList, "mg_012_signs", "scripts/minigames/mg_012_signs");
NewLocation(GameScreenList, "mg_019_door", "scripts/minigames/mg_019_door");
NewLocation(GameScreenList, "mg_023_bottles", "scripts/minigames/mg_023_bottles");
NewLocation(GameScreenList, "mg_028_diadem", "scripts/minigames/mg_028_diadem");
NewLocation(GameScreenList, "mg_029_portrait", "scripts/minigames/mg_029_portrait");
--------------------------------------------------------------------------------------------------------

NewWindow(GameScreenList, "hud", "scripts/gui/HUDScreen");
NewWindow(GameScreenList, "inventory", "scripts/gui/Inventory");
NewWindow(GameScreenList, "wallpaper", "scripts/framework/clWallpaperScreen");
NewWindow(GameScreenList, "ingame_menu", "scripts/gui/ingame_menu");
NewWindow(GameScreenList, "options_screen", "scripts/gui/options_screen");
NewWindow(GameScreenList, "credits_screen", "scripts/gui/credits_screen");
NewWindow(GameScreenList, "MainMenuScreen", "scripts/gui/MainMenuScreen");
NewWindow(GameScreenList, "quit_screen", "scripts/gui/quit_screen");
NewWindow(GameScreenList, "change_player_screen", "scripts/gui/change_player_screen");
NewWindow(GameScreenList, "new_player_screen", "scripts/gui/new_player_screen");
NewWindow(GameScreenList, "list_is_full_screen", "scripts/gui/list_is_full_screen");
NewWindow(GameScreenList, "drag_object", "scripts/gui/drag_object");
NewWindow(GameScreenList, "player_exist_screen", "scripts/gui/player_exist_screen");
NewWindow(GameScreenList, "delete_player_screen", "scripts/gui/delete_player_screen");
NewWindow(GameScreenList, "rename_player_screen", "scripts/gui/rename_player_screen");
NewWindow(GameScreenList, "interactive_help", "scripts/gui/interactive_help");
NewWindow(GameScreenList, "tool_found_screen", "scripts/gui/ToolFoundScreen");
NewWindow(GameScreenList, "tool_found", "scripts/gui/ToolFound");
NewWindow(GameScreenList, "wrong_windowed_screen", "scripts/gui/wrong_windowed_screen");


NewWindow(GameScreenList, "tutorial", "scripts/framework/clTutorialScreen");
----------------------------------------------------------------------------------------------------------
HUDScreen = GameScreenList["hud"];
Inventory = GameScreenList["inventory"];
Wallpaper = GameScreenList["wallpaper"];
IngameMenu = GameScreenList["ingame_menu"];

DragObject = GameScreenList["drag_object"];

function GetLevelByName(level_name)
	return screen_script[level_name];
end